<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.2"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>VivianUI: /home/chris/dev/unity/VivianUI/Assets/TriLib/TriLib/Scripts/AssetLoader/MaterialShadingMode.cs File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">VivianUI
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.2 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('_material_shading_mode_8cs.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#namespaces">Namespaces</a> &#124;
<a href="#enum-members">Enumerations</a>  </div>
  <div class="headertitle"><div class="title">MaterialShadingMode.cs File Reference</div></div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="namespaces" name="namespaces"></a>
Namespaces</h2></td></tr>
<tr class="memitem:namespace_tri_lib"><td class="memItemLeft" align="right" valign="top">namespace &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespace_tri_lib.html">TriLib</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="enum-members" name="enum-members"></a>
Enumerations</h2></td></tr>
<tr class="memitem:a4739993bd8f65cb2673a91829f9574a7"><td class="memItemLeft" align="right" valign="top">enum class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespace_tri_lib.html#a4739993bd8f65cb2673a91829f9574a7">TriLib.MaterialShadingMode</a> { <a class="el" href="namespace_tri_lib.html#a4739993bd8f65cb2673a91829f9574a7aeb6d8ae6f20283755b339c0dc273988b">TriLib.Standard</a>
, <a class="el" href="namespace_tri_lib.html#a4739993bd8f65cb2673a91829f9574a7a767078b82d60bc9dfaec29326b0b7c06">TriLib.Roughness</a>
, <a class="el" href="namespace_tri_lib.html#a4739993bd8f65cb2673a91829f9574a7a39b0044dd8789d333e7794f359406740">TriLib.Specular</a>
 }</td></tr>
<tr class="memdesc:a4739993bd8f65cb2673a91829f9574a7"><td class="mdescLeft">&#160;</td><td class="mdescRight">Represents the material shading mode to be used when selecting Unity materials.  <a href="namespace_tri_lib.html#a4739993bd8f65cb2673a91829f9574a7">More...</a><br /></td></tr>
<tr class="separator:a4739993bd8f65cb2673a91829f9574a7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab1a92871b434f66d43eba635dfd45f77"><td class="memItemLeft" align="right" valign="top">enum class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespace_tri_lib.html#ab1a92871b434f66d43eba635dfd45f77">TriLib.MaterialTransparencyMode</a> { <a class="el" href="namespace_tri_lib.html#ab1a92871b434f66d43eba635dfd45f77a6132295fcf5570fb8b0a944ef322a598">TriLib.Alpha</a>
, <a class="el" href="namespace_tri_lib.html#ab1a92871b434f66d43eba635dfd45f77a330be5af6c8bafc8ce5c74fa208c5015">TriLib.Cutout</a>
, <a class="el" href="namespace_tri_lib.html#ab1a92871b434f66d43eba635dfd45f77a04e0385c10aefee8e4681617d2f3ef40">TriLib.Fade</a>
 }</td></tr>
<tr class="memdesc:ab1a92871b434f66d43eba635dfd45f77"><td class="mdescLeft">&#160;</td><td class="mdescRight">Represents the material transparency mode used when selecting Unity materials.  <a href="namespace_tri_lib.html#ab1a92871b434f66d43eba635dfd45f77">More...</a><br /></td></tr>
<tr class="separator:ab1a92871b434f66d43eba635dfd45f77"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_84bbf7b3c7f28a5a18725745e1505219.html">Assets</a></li><li class="navelem"><a class="el" href="dir_1366353f92bfcad57baaadbced04d9dc.html">TriLib</a></li><li class="navelem"><a class="el" href="dir_b1852826b1dcf5519cb0109126b304ac.html">TriLib</a></li><li class="navelem"><a class="el" href="dir_1a655f348dfdb7dab8ca284eb2259249.html">Scripts</a></li><li class="navelem"><a class="el" href="dir_a5bfd893645e54d35af833cce7981279.html">AssetLoader</a></li><li class="navelem"><a class="el" href="_material_shading_mode_8cs.html">MaterialShadingMode.cs</a></li>
    <li class="footer">Generated on Mon Dec 20 2021 15:24:22 for VivianUI by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.2 </li>
  </ul>
</div>
</body>
</html>
